
# include <stdlib.h>

# include <FL/Fl.H>
# include <FL/fl_file_chooser.H>
# include <FL/fl_ask.H>

# include <SR/sr_sn_polygon_editor.h>
# include <SR/sr_viewer.h>

int polyed_main ( int argc, char **argv )
 {
   SrViewer* viewer = new SrViewer ( 385, 50, 350, 280 );

   viewer->label ( "Sr Polygon Editor Test" );
   viewer->menu_cmd ( SrViewer::CmdPlanar );
   viewer->menu_cmd ( SrViewer::CmdAxis );

   SrSnPolygonEditor* spe = new SrSnPolygonEditor;

   viewer->root ( spe );
   viewer->view_all();
   viewer->show();

   Fl::run();

   return 0;
 }
