
# ifndef SRMESH_GUI_EVENTS_H
# define SRMESH_GUI_EVENTS_H

enum FileEvent { evFileSave, evFileOpen, evFileExit };

enum MeshEvent { evMeshInfo, evMeshColors, evMeshInit, evMeshCheck,
                 evMeshInvertFaces, evMeshFindEdge, evMeshFindEdgeBlue };

enum DrawEvent { evDrawVertices, evDrawEdges, evDrawFaces,
                 evDrawRedParm, evDrawBlueParm, evDrawPointParm };

enum OpEvent { evMev, evMev2, evMef, evKev, evKev2, evKef,
               evEcol, evVsplit, evAddv, evDelv, evFlip, evUpdVtx, evUpdVtxBlue };

enum TravEvent { evRedNxt, evRedPri, evRedSym, evRedRot, evRedRet,
                 evBlueNxt, evBluePri, evBlueSym, evBlueRot, evBlueRet };

enum HelpEvent { evHelpAbout };

# endif // SRMESH_GUI_EVENTS_H

