
# ifndef SRM_MATERIAL_TAB_H
# define SRM_MATERIAL_TAB_H

# include "srm_main.h"
# include "srm_main_win.h"

class SrmMaterialTab
 { private :
    bool _changed;
    SrModel* _model;
    SrSnModel* _smodel;
    SrmMainWin* _w;

   public :
    SrmMaterialTab ( SrmMainWin* mw );
    void set_smodel ( SrSnModel* sm, const char* text );
    void set_changed ();
    void show ();
    void update_dialog ( Fl_Button *but );
    void update_model ( Fl_Button *but );
    void new_color ( Fl_Button *but );
    int  cur_color () { return _w->ui_mtlbrowser->value()-1; }
    void event ( SrmMtlTabEvent e );
 };

# endif // SRM_MATERIAL_TAB_H
