
# include <SR/sr_mat.h>
# include <SR/sr_random.h>

static float r ()
 {
   static SrRandom r (-70.0f,70.0f);
   return r.getf();
 }

int projxy_main ( int, char ** )
 {
   SrVec op1, op2, op3, p1, p2, p3;
   SrMat m;
   int x=20;

   sr_out.fmt_float("%6.2f");

   while ( x-- )
    {
      p1.set ( r(), r(), r() );
      p2.set ( r(), r(), r() );
      p3.set ( r(), r(), r() );

      sr_out << p1 << ", " << p2 << ", " << p3 << srnl;

      m.projxy ( p1, p2, p3 );
      op1=p1; op2=p2; op3=p3; p1=p1*m; p2=p2*m; p3=p3*m;

      sr_out << p1 << ", " << p2 << ", " << p3 << srnl;

      sr_out << "old dists: " << dist(op1,op2) <<srspc<< dist(op2,op3) <<srspc<< dist(op3,op1) <<srnl;
      sr_out << "new dists: " << dist(p1,p2)   <<srspc<< dist(p2,p3)   <<srspc<< dist(p3,p1)   <<srnl;
      sr_out << srnl;

      getchar();
    }

   return 0;
 }
