
# ifndef SRXAPP_VIEWER_H
# define SRXAPP_VIEWER_H

# include <SR/sr_viewer.h>

class SrSnGroup;
class SrVec2;

class AppViewer : public SrViewer
 { private :
    SrSnGroup* _root;
   public :
    AppViewer ( int x, int y, int w, int h );
    float resolution () const;
    void resolution ( float r );
   public :
    virtual int handle_keyboard ( const SrEvent& e );
    virtual int handle_scene_event ( const SrEvent& e );
 };

# endif // SRXAPP_VIEWER_H
