
# include <stdio.h>
# include <stdlib.h>
# include <string.h>

// Each example is located in a stand alone file that can be used
// as guide on how to use SeMesh and related classes.
// Here are the entry-point functions of each of the examples:
extern void mesh_main ();   // in setut_mesh.cpp
extern void import_main (); // in setut_import.cpp
extern void triface_main (); // in setut_triface.cpp
extern void dt_main (); // in setut_dt.cpp
extern void cdt_main (); // in setut_cdt.cpp
//DJD: changing definition of dcdt_main to take file name {
extern void dcdt_main(char *strFilename); // in setut_dcdt.cpp
//changing definition of dcdt_main to take file name }
 
int main ( int argc, char** argv )
 {
   char buf[80];
   int opt=-1;
//DJD: fixing (?) this to take a command-line parameter {
//   if ( argc>1 )
//    { strcpy ( buf, argv[0] );
//    }
	if (argc > 1)
	{
		strcpy(buf, argv[1]);
	}
//fixing (?) this to take a command-line parameter }
   else if ( opt<0 )
    { printf ("SeMesh and SrTriangulator Tutorial\n");
      printf ("Enter the number of the example to run:\n");
      printf ("1. mesh: mesh and operators usage\n");
      printf ("2. import: importing face-base descriptions\n");
      printf ("3. triface: triangulating a ccw polygonal face\n");
      printf ("4. DT: interactive Delaunay point triangulation\n");
      printf ("5. CDT: interactive constraints addition\n");
      printf ("6. DCDT: interactive dynamic constrained Delaunay triangulation\n");
      printf ( ">" );
      gets ( buf );
      //buf[0]='6';buf[1]=0;
      printf ( "Running example %s...\n\n", buf );
    }

   if ( opt<0 ) opt = atoi ( buf );
   switch ( opt )
    { case 1 : mesh_main(); break;
      case 2 : import_main(); break;
      case 3 : triface_main(); break;
      case 4 : dt_main(); break; 
      case 5 : cdt_main(); break;
//DJD: passing the filename if given {
//	  case 6 : dcdt_main(); break;
	  case 6 : 
		//char *tmp = (argc > 2) ? argv[2] : "";
		char *tmp ;
		tmp =  argv[2] ;
		dcdt_main(tmp); break;
//passing the filename if given }
      default: printf ( "Invalid option.\n" );
    }

   return 1;
 }

